﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim btnPesquisa As Button
	Dim edtConsulta As EditText
	Dim PanelTop As Panel
	Dim TableProduto As Table
	Dim Cursor1 As Cursor
	Dim btnDetalhe As Button

	Dim PanelBottom As Panel
	Dim m_pesquisa As String
	Dim btnRetornar As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Dim m_sql As String
	'Do not forget to load the layout file created with the visual designer. For example:

	Activity.LoadLayout("produto_pesquisar")
	PanelTop.Left = 0
	PanelTop.Top = 0
	PanelTop.Width = 100%x
	PanelTop.Height = 60dip
	
	PanelBottom.Left = 0
	PanelBottom.Width = 100%x	
	PanelBottom.Top = 100%y - PanelBottom.Height		
	
	btnRetornar.Width = 100dip
	btnRetornar.Text = "Retornar"
	btnRetornar.Left = 10dip
	btnRetornar.Visible = True	
	
	btnDetalhe.Width = 100dip
	If principal.pedido_id > 0 Then
		btnDetalhe.Text = "Selecionar"
	Else
		btnDetalhe.Text = "Detalhe"
	End If
	btnDetalhe.Left = 100%x - 110dip

	edtConsulta.Text = principal.produto_consulta
	
	TableProduto.Initialize(Me, "TableProduto", 4)
	TableProduto.RowHeight = 70
	TableProduto.AddToActivity(Activity, 0, PanelTop.Height, 100%x, 100%y - PanelTop.Height - PanelBottom.Height)	
	TableProduto.SetHeader(Array As String("Codigo", "Fabricante", "Produto", "Estoque"))
	TableProduto.SetColumnsWidths(Array As Int(80dip, 250dip,  100%x - 410dip, 80dip))
	
	m_pesquisa = "%" & edtConsulta.Text.ToUpperCase & "%"
	If edtConsulta.Text <> "" Then 
    	m_sql = "SELECT produtos.id_produto, produtos.descricao, produtos.estoque, fornecedores.fantasia "
		m_sql = m_sql & "FROM produtos "
		m_sql = m_sql & "LEFT JOIN fornecedores ON fornecedores.id_fornecedor = produtos.id_fornecedor "
		m_sql = m_sql & "WHERE produtos.descricao LIKE ? "
		m_sql = m_sql & "ORDER BY produtos.descricao"
		Cursor1 = principal.SQLPrincipal.ExecQuery2(m_sql ,Array As String(m_pesquisa))
	Else
    	m_sql = "SELECT produtos.id_produto, produtos.descricao, produtos.estoque, fornecedores.fantasia "
		m_sql = m_sql & "FROM produtos "
		m_sql = m_sql & "LEFT JOIN fornecedores ON fornecedores.id_fornecedor = produtos.id_fornecedor "
		m_sql = m_sql & "ORDER BY produtos.descricao"
		Cursor1 = principal.SQLPrincipal.ExecQuery(m_sql)
	End If
	If Cursor1.RowCount > 0 Then	
		Cursor1.Position = 0
		Try
			principal.produto_id = Cursor1.GetString("id_produto")
'			lbl1.Text = Cursor1.GetString("fantasia")
'			lbl2.Text = "Estoque : " & principal.FormatarNumero(Cursor1.GetString("estoque"),0)
		Catch
			principal.produto_id = 0
'			lbl1.Text = " - - - "
'			lbl2.Text = " - - - "
		End Try	
	End If
	For i=0 To Cursor1.RowCount-1
      	Cursor1.Position=i
      	TableProduto.AddRow(Array As String(Cursor1.GetString("id_produto"), Cursor1.GetString("fantasia"), Cursor1.GetString("descricao"), Cursor1.GetString("estoque") ))
	Next
	'Cursor1.Close	
	principal.produto_id = 0
	If edtConsulta.Text <> "" Then
		TableProduto.JumpToRow(principal.indice_consulta)
'		TableProduto.Visible(True)
		Log(principal.indice_consulta)
'		Msgbox(principal.indice_consulta,"Atenção")

	End If
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnPesquisa_Click
	Pesquisar_Produto
End Sub

Sub btnDetalhe_Click
	If principal.pedido_id > 0 Then
		principal.pedido_produto_id = principal.produto_id
		principal.produto_consulta = edtConsulta.Text
		Activity.Finish
	Else
		If principal.produto_id > 0 Then
			principal.pedido_promocao_id = 0
	    	StartActivity(act_produto_detalhe)
		End If
	End If
End Sub

Sub TableProduto_CellClick (Col As Int, Row As Int)
	
	Cursor1.Position = Row 
	Try
		principal.produto_id = Cursor1.GetString("id_produto")
'		principal.indice_consulta = Cursor1.Position
		principal.indice_consulta = Row

'		lbl1.Text = Cursor1.GetString("fantasia")
'		lbl2.Text = "Estoque : " & principal.FormatarNumero(Cursor1.GetString("estoque"),0)
	Catch
		principal.produto_id = 0
		principal.indice_consulta = 0
'		lbl1.Text = " - - - "
'		lbl2.Text = " - - - "
	End Try
End Sub
Sub btnRetornar_Click
	Activity.Finish
End Sub

Sub Pesquisar_Produto
	Dim m_sql As String 
	m_pesquisa = "%" & edtConsulta.Text.ToUpperCase & "%"
	TableProduto.ClearAll
	If edtConsulta.Text <> "" Then 
    	m_sql = "SELECT produtos.id_produto, produtos.descricao, produtos.estoque, fornecedores.fantasia "
		m_sql = m_sql & "FROM produtos "
		m_sql = m_sql & "LEFT JOIN fornecedores ON fornecedores.id_fornecedor = produtos.id_fornecedor "
		m_sql = m_sql & "WHERE produtos.descricao LIKE ? "
		m_sql = m_sql & "ORDER BY produtos.descricao"
		Cursor1 = principal.SQLPrincipal.ExecQuery2(m_sql ,Array As String(m_pesquisa))
	Else
    	m_sql = "SELECT produtos.id_produto, produtos.descricao, produtos.estoque, fornecedores.fantasia "
		m_sql = m_sql & "FROM produtos "
		m_sql = m_sql & "LEFT JOIN fornecedores ON fornecedores.id_fornecedor = produtos.id_fornecedor "
		m_sql = m_sql & "ORDER BY produtos.descricao"
		Cursor1 = principal.SQLPrincipal.ExecQuery(m_sql)
	End If
	Cursor1.Position = 0
	principal.indice_consulta = 0
	Try
		principal.produto_id = Cursor1.GetString("id_produto")
		principal.indice_consulta = Cursor1.Position
'		lbl1.Text = Cursor1.GetString("fantasia")
'		lbl2.Text = "Estoque : " & principal.FormatarNumero(Cursor1.GetString("estoque"),0)
	Catch
		principal.produto_id = 0
		principal.indice_consulta = 0
'		lbl1.Text = " - - - "
'		lbl2.Text = " - - - "
	End Try
	For i=0 To Cursor1.RowCount-1
      	Cursor1.Position=i
      	TableProduto.AddRow(Array As String(Cursor1.GetString("id_produto"), Cursor1.GetString("fantasia"), Cursor1.GetString("descricao"), Cursor1.GetString("estoque") ))
	Next
	'Cursor1.Close	
	
End Sub

Sub edtConsulta_EnterPressed
	Pesquisar_Produto
End Sub